6 Replies Latest reply: May 21, 2012 11:41 AM by Matt Forsythe RSS

wsprovide and maven plugin

Herman Post Newbie

Hi.  I am trying to use wsprovide through  the maven-jaxws-tools-plugin.  I am using Indigo SR1, JBoss Maven Integration 1.3.0 and  have declared jboss-jaxws-api_2.2_spec as a dependency.  Following is from my pom (also attached):

 

               <plugin>

                                             <groupId>org.jboss.ws.plugins</groupId>

                                             <artifactId>maven-jaxws-tools-plugin</artifactId>

                                             <version>1.1.0.GA</version>

                                             <configuration>

                                                            <verbose>true</verbose>

                                                            <endpointClass>org.ihc.hwcir.drools.framework.DroolsRuntimeWSImpl</endpointClass>

                                                            <generateWsdl>true</generateWsdl>

                                             </configuration>

                                             <executions>

                                                            <execution>

                                                                           <goals>

                                                                      <goal>wsprovide</goal>

                                                            </goals>

                                                  </execution>

                                        </executions>

                              </plugin>

 

I get the following error in eclipse:

 

"Plugin execution not covered by lifecycle configuration:  org.jboss.ws.plugins:maven-jasws-tools-plugin:1.1.0.GA: wsprovide(execution: default, pahse:process-classes)"

 

And when I run from the command line the plugin does not get run.

 

Any help would be appreciated.

 

Thanks,

 

Herm